## cwltest 2.3.20230825125225

=== docs/requirements.txt ===
sphinx >= 2.2
sphinx-rtd-theme==1.3.0
sphinx-autoapi
sphinx-autodoc-typehints
typed_ast;python_version<'3.8'
sphinxcontrib-autoprogram

=== debian/changelog ===
cwltest (2.3.20230825125225-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * remove patch, it was applied upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 25 Aug 2023 15:21:14 +0200

cwltest (2.3.20230607140609-1) experimental; urgency=medium

  * Initial release. (Closes: #1037201)

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 07 Jun 2023 14:31:22 +0100

## cwltest 2.4.20231222081524

=== requirements.txt ===
schema-salad >= 5.0.20200220195218, < 9
junit-xml >= 1.8
pytest >= 7, < 8
defusedxml
importlib_resources>=1.4;python_version<'3.9'

=== debian/changelog ===
cwltest (2.4.20231222081524-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 03 Jan 2024 11:29:37 +0100

=== debian/control ===
Source: cwltest
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3,
               python3-all,
               pybuild-plugin-pyproject,
               python3-setuptools,
               python3-rdflib <!nocheck>,
               python3-junit.xml <!nocheck>,
               python3-schema-salad <!nocheck>,
               python3-defusedxml <!nocheck>,
               python3-ruamel.yaml <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-mock <!nocheck>,
               python-is-python3 <!nocheck>,
               cwltool <!nocheck>,
               python3-typing-extensions <!nocheck> <!nodoc>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/cwltest
Vcs-Git: https://salsa.debian.org/med-team/cwltest.git
Homepage: https://www.commonwl.org
Rules-Requires-Root: no

Package: cwltest
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-rdflib,
         python3-junit.xml,
         python3-schema-salad,
         python3-defusedxml,
         python3-ruamel.yaml,
Recommends: python3-pytest
Suggests: cwl-runner
Description: Common Workflow Language testing framework
 This is a testing tool for checking the output of Tools and Workflows described
 with the Common Workflow Language.  Among other uses, it is used to run the CWL
 conformance tests.

## cwltest 2.4.20240129145612

=== Makefile ===
# This file is part of cwltest,
# https://github.com/common-workflow-language/cwltest/, and is
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Contact: common-workflow-language@googlegroups.com

# make format to fix most python formatting errors
# make pylint to check Python code for enhanced compliance including naming
#  and documentation
# make coverage-report to check coverage of the python scripts by the tests

MODULE=cwltest
PACKAGE=cwltest

# `SHELL=bash` doesn't work for some, so don't use BASH-isms like
# `[[` conditional expressions.
PYSOURCES=$(wildcard ${MODULE}/**.py tests/*.py)
DEVPKGS=-rdev-requirements.txt -rtest-requirements.txt -rmypy-requirements.txt
DEBDEVPKGS=pep8 python-autopep8 pylint python-coverage pydocstyle sloccount \
	   python-flake8 python-mock shellcheck
VERSION=2.4.$(shell TZ=UTC git log --first-parent --max-count=1 \
	--format=format:%cd --date=format-local:%Y%m%d%H%M%S)

## all                    : default task (install in dev mode)
all: dev

## help                   : print this help message and exit
help: Makefile
	@sed -n 's/^##//p' $<

## cleanup                : shortcut for "make sort_imports format flake8 diff_pydocstyle_report"
cleanup: sort_imports format flake8 diff_pydocstyle_report

## install-dep            : install most of the development dependencies via pip
install-dep: install-dependencies

install-dependencies: FORCE
	pip install --upgrade $(DEVPKGS)
	pip install -r requirements.txt

## install-deb-dep        : install most of the dev dependencies via apt-get
install-deb-dep:
	sudo apt-get install $(DEBDEVPKGS)

## install                : install the cwltest package and cwltest script
install: FORCE
	pip install .

## dev                    : install the cwltest package in dev mode
dev: install-dep
	pip install -U pip setuptools wheel
	pip install -e .

## dist                   : create a module package for distribution
dist: dist/${MODULE}-$(VERSION).tar.gz

dist/${MODULE}-$(VERSION).tar.gz: $(SOURCES)
	python -m build

## docs                   : make the docs
docs: FORCE
	cd docs && $(MAKE) html

## clean                  : clean up all temporary / machine-generated files
clean: FORCE
	rm -f ${MODILE}/*.pyc tests/*.pyc
	rm -Rf .coverage\.* .coverage
	rm -f diff-cover.html

# Linting and code style related targets
## sort_import            : sorting imports using isort: https://github.com/timothycrosley/isort
sort_imports: $(PYSOURCES) mypy-stubs
	isort $^

remove_unused_imports: $(filter-out schema_salad/metaschema.py,$(PYSOURCES))
	autoflake --in-place --remove-all-unused-imports $^

pep257: pydocstyle
## pydocstyle             : check Python docstring style
pydocstyle: $(PYSOURCES)
	pydocstyle --add-ignore=D100,D101,D102,D103 $^ || true

pydocstyle_report.txt: $(PYSOURCES)
	pydocstyle $^ > $@ 2>&1 || true

## diff_pydocstyle_report : check Python docstring style for changed files only
diff_pydocstyle_report: pydocstyle_report.txt
	diff-quality --compare-branch=main --violations=pydocstyle --fail-under=100 $^

## codespell              : check for common misspellings
codespell:
	codespell -w $(shell git ls-files | grep -v mypy-stubs | grep -v gitignore)

## format                 : check/fix all code indentation and formatting (runs black)
format: $(filter-out cwltest/_version.py,$(PYSOURCES)) mypy-stubs
	black $^

format-check: $(filter-out cwltest/_version.py,$(PYSOURCES)) mypy-stubs
	black --diff --check $^

## pylint                 : run static code analysis on Python code
pylint: $(PYSOURCES)
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
                $^ -j0|| true

pylint_report.txt: $(PYSOURCES)
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
		$^ -j0> $@ || true

diff_pylint_report: pylint_report.txt
	diff-quality --compare-branch=main --violations=pylint pylint_report.txt

.coverage: $(PYSOURCES)
	COV_CORE_SOURCE=cwltest COV_CORE_CONFIG=.coveragerc COV_CORE_DATAFILE=.coverage \
		python -m pytest --cov --cov-append --cov-report=
	# https://pytest-cov.readthedocs.io/en/latest/plugins.html#plugin-coverage

coverage.xml: .coverage
	coverage xml

coverage.html: htmlcov/index.html

htmlcov/index.html: .coverage
	coverage html
	@echo Test coverage of the Python code is now in htmlcov/index.html

coverage-report: .coverage
	coverage report

diff-cover: coverage.xml
	diff-cover --compare-branch=main $^

diff-cover.html: coverage.xml
	diff-cover --compare-branch=main $^ --html-report $@

## test                   : run the cwltest test suite
test: $(PYSOURCES)
	python -m pytest -rs ${PYTEST_EXTRA}

## testcov                : run the cwltest test suite and collect coverage
testcov: $(PYSOURCES)
	pytest --cov ${PYTEST_EXTRA}

sloccount.sc: $(PYSOURCES) Makefile
	sloccount --duplicates --wide --details $^ > $@

## sloccount              : count lines of code
sloccount: $(PYSOURCES) Makefile
	sloccount $^

list-author-emails:
	@echo 'name, E-Mail Address'
	@git log --format='%aN,%aE' | sort -u | grep -v 'root'

mypy3: mypy
mypy: $(PYSOURCES)
	MYPYPATH=$$MYPYPATH:mypy-stubs mypy $^

pyupgrade: $(filter-out schema_salad/metaschema.py,$(PYSOURCES))
	pyupgrade --exit-zero-even-if-changed --py38-plus $^
	auto-walrus $^

release-test: FORCE
	git diff-index --quiet HEAD -- || ( echo You have uncommitted changes, please commit them and try again; false )
	./release-test.sh

release:
	export SETUPTOOLS_SCM_PRETEND_VERSION=${VERSION} && \
	./release-test.sh && \
	. testenv2/bin/activate && \
		pip install build && \
		python -m build testenv2/src/${PACKAGE} && \
		pip install twine && \
		twine upload testenv2/src/${PACKAGE}/dist/* && \
		git tag ${VERSION} && git push --tags

flake8: FORCE
	flake8 $(PYSOURCES)

FORCE:

# Use this to print the value of a Makefile variable
# Example `make print-VERSION`
# From https://www.cmcrossroads.com/article/printing-value-makefile-variable
print-%  : ; @echo $* = $($*)

=== requirements.txt ===
schema-salad >= 5.0.20200220195218, < 9
junit-xml >= 1.8
pytest >= 7, < 9
defusedxml
importlib_resources>=1.4;python_version<'3.9'

=== docs/requirements.txt ===
sphinx >= 2.2
sphinx-rtd-theme==2.0.0
sphinx-autoapi
sphinx-autodoc-typehints
typed_ast;python_version<'3.8'
sphinxcontrib-autoprogram

=== debian/changelog ===
cwltest (2.4.20240129145612-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 31 Jan 2024 14:26:18 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
                python3-pytest-xdist <!nocheck>,
                python3-pytest-runner <!nocheck>,
                python3-pytest-mock <!nocheck>,
-               python3-mock <!nocheck>,
                python-is-python3 <!nocheck>,
                cwltool <!nocheck>,
                python3-typing-extensions <!nocheck> <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1
include /usr/share/dpkg/default.mk
export PYBUILD_NAME=cwltest
export CWLTOOL_OPTIONS=--no-container
#export PYBUILD_TEST_ARGS=-n=auto -p pytester
#export HOME=$(shell echo $$PWD"/fakehome")

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	find debian -name 'cat1-testcli.cwl' -exec chmod a+x {} \;

## cwltest 2.5.20240425111257

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 DEVPKGS=-rdev-requirements.txt -rtest-requirements.txt -rmypy-requirements.txt
 DEBDEVPKGS=pep8 python-autopep8 pylint python-coverage pydocstyle sloccount \
 	   python-flake8 python-mock shellcheck
-VERSION=2.4.$(shell TZ=UTC git log --first-parent --max-count=1 \
+VERSION=2.5.$(shell TZ=UTC git log --first-parent --max-count=1 \
 	--format=format:%cd --date=format-local:%Y%m%d%H%M%S)
 
 ## all                    : default task (install in dev mode)

=== debian/changelog ===
cwltest (2.5.20240425111257-1) unstable; urgency=medium

  * d/control: build-dep on setuptools-scm to set the version correctly.
  * d/{rules,control,manpages}: use help2man to generate a manual page
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 25 Apr 2024 16:17:51 +0300

cwltest (2.5.20240304113812-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 07 Mar 2024 14:19:22 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                python3-all,
                pybuild-plugin-pyproject,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-rdflib <!nocheck>,
                python3-junit.xml <!nocheck>,
                python3-schema-salad <!nocheck>,
@@ -20,7 +21,8 @@
                python3-pytest-mock <!nocheck>,
                python-is-python3 <!nocheck>,
                cwltool <!nocheck>,
-               python3-typing-extensions <!nocheck> <!nodoc>
+               python3-typing-extensions <!nocheck> <!nodoc>,
+               help2man <!nodoc>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/cwltest
 Vcs-Git: https://salsa.debian.org/med-team/cwltest.git

## cwltest 2.5.20240714110256

=== debian/changelog ===
cwltest (2.5.20240714110256-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 07 Sep 2024 13:38:58 +0200

## cwltest 2.5.20240906231108

=== debian/changelog ===
cwltest (2.5.20240906231108-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 12 Sep 2024 15:43:35 +0200

## cwltest 2.5.20241122133319

=== Makefile ===
--- 
+++ 
@@ -183,7 +183,7 @@
 		python -m build testenv2/src/${PACKAGE} && \
 		pip install twine && \
 		twine upload testenv2/src/${PACKAGE}/dist/* && \
-		git tag ${VERSION} && git push --tags
+		git tag --no-sign ${VERSION} && git push --tags
 
 flake8: FORCE
 	flake8 $(PYSOURCES)

=== docs/requirements.txt ===
sphinx >= 2.2
sphinx-rtd-theme==3.0.2
sphinx-autoapi
sphinx-autodoc-typehints
typed_ast;python_version<'3.8'
sphinxcontrib-autoprogram

=== debian/changelog ===
cwltest (2.5.20241122133319-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 16 Dec 2024 00:00:25 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                cwltool <!nocheck>,
                python3-typing-extensions <!nocheck> <!nodoc>,
                help2man <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/cwltest
 Vcs-Git: https://salsa.debian.org/med-team/cwltest.git
 Homepage: https://www.commonwl.org

## cwltest 2.6.20250818005349

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 DEVPKGS=-rdev-requirements.txt -rtest-requirements.txt -rmypy-requirements.txt
 DEBDEVPKGS=pep8 python-autopep8 pylint python-coverage pydocstyle sloccount \
 	   python-flake8 python-mock shellcheck
-VERSION=2.5.$(shell TZ=UTC git log --first-parent --max-count=1 \
+VERSION=2.6.$(shell TZ=UTC git log --first-parent --max-count=1 \
 	--format=format:%cd --date=format-local:%Y%m%d%H%M%S)
 
 ## all                    : default task (install in dev mode)
@@ -168,7 +168,7 @@
 	MYPYPATH=$$MYPYPATH:mypy-stubs mypy $^
 
 pyupgrade: $(filter-out schema_salad/metaschema.py,$(PYSOURCES))
-	pyupgrade --exit-zero-even-if-changed --py38-plus $^
+	pyupgrade --exit-zero-even-if-changed --py39-plus $^
 	auto-walrus $^
 
 release-test: FORCE

=== requirements.txt ===
schema-salad >= 5.0.20200220195218, < 9
junit-xml >= 1.8
pytest >= 7, < 9
defusedxml

=== docs/requirements.txt ===
sphinx >= 2.2
sphinx-rtd-theme==3.0.2
sphinx-autoapi
sphinx-autodoc-typehints
sphinxcontrib-autoprogram

=== debian/changelog ===
cwltest (2.6.20250818005349-2) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-junit.xml and python3-schema-salad.
    Required by help2man. Closes: #1116722.
  * d/control: Drop "Rules-Requires-Root: no", it's now the default.
  * d/control: Drop "Priority: optional", it's now the default.

 -- Santiago Vila <sanvila@debian.org>  Mon, 06 Oct 2025 22:30:00 +0200

cwltest (2.6.20250818005349-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Sep 2025 14:56:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: science
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3,
@@ -11,8 +10,8 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-rdflib <!nocheck>,
-               python3-junit.xml <!nocheck>,
-               python3-schema-salad <!nocheck>,
+               python3-junit.xml,
+               python3-schema-salad,
                python3-defusedxml <!nocheck>,
                python3-ruamel.yaml <!nocheck>,
                python3-pytest <!nocheck>,
@@ -23,11 +22,10 @@
                cwltool <!nocheck>,
                python3-typing-extensions <!nocheck> <!nodoc>,
                help2man <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/cwltest
 Vcs-Git: https://salsa.debian.org/med-team/cwltest.git
 Homepage: https://www.commonwl.org
-Rules-Requires-Root: no
 
 Package: cwltest
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,6 @@
 
 execute_after_dh_auto_install:
 	find debian -name 'cat1-testcli.cwl' -exec chmod a+x {} \;
+
+execute_before_dh_installman:
+	PYTHONPATH=. help2man --no-info ./debian/cwltest/usr/bin/cwltest > debian/cwltest.1

=== debian/tests/control ===
Tests: run-tests
Depends: @, python3-pytest-xdist, python3-pytest-mock, python3-pytest-runner, cwltool, python3-pytest (>> 6.2), python-is-python3
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=auto \
https://pypi.debian.net/cwltest/cwltest-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## cwltest 2.6.20251216093331

=== Makefile ===
--- 
+++ 
@@ -168,7 +168,7 @@
 	MYPYPATH=$$MYPYPATH:mypy-stubs mypy $^
 
 pyupgrade: $(filter-out schema_salad/metaschema.py,$(PYSOURCES))
-	pyupgrade --exit-zero-even-if-changed --py39-plus $^
+	pyupgrade --exit-zero-even-if-changed --py310-plus $^
 	auto-walrus $^
 
 release-test: FORCE

=== requirements.txt ===
schema-salad >= 5.0.20200220195218, < 9
junit-xml >= 1.8
pytest >= 8.3, < 10
defusedxml

=== debian/changelog ===
cwltest (2.6.20251216093331-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 07 Jan 2026 15:31:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: science
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3,
@@ -22,7 +23,7 @@
                cwltool <!nocheck>,
                python3-typing-extensions <!nocheck> <!nodoc>,
                help2man <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/cwltest
 Vcs-Git: https://salsa.debian.org/med-team/cwltest.git
 Homepage: https://www.commonwl.org
@@ -35,7 +36,7 @@
          python3-junit.xml,
          python3-schema-salad,
          python3-defusedxml,
-         python3-ruamel.yaml,
+         python3-ruamel.yaml
 Recommends: python3-pytest
 Suggests: cwl-runner
 Description: Common Workflow Language testing framework
